std::array< _Tp, _Nm >(3)

NAME
std::array< _Tp, _Nm > -

SYNOPSIS

  Public Types
typedef ::__array_traits< _Tp,
_Nm > _AT_Type"
typedef const value_type * const_iterator
typedef const value_type * const_pointer
typedef const value_type & const_reference
typedef std::reverse_iterator
< const_iterator > const_reverse_iterator"
typedef std::ptrdiff_t difference_type
typedef value_type * iterator
typedef value_type * pointer
typedef value_type & reference
typedef std::reverse_iterator
< iterator > reverse_iterator"
typedef std::size_t size_type
typedef _Tp value_type

  Public Member Functions
reference at (size_type __n)
constexpr const_reference at (size_type __n) const
reference back () noexcept
constexpr const_reference back () const noexcept
iterator begin () noexcept
const_iterator begin () const noexcept
const_iterator cbegin () const noexcept
const_iterator cend () const noexcept
const_reverse_iterator crbegin () const noexcept
const_reverse_iterator crend () const noexcept
pointer data () noexcept
const_pointer data () const noexcept
constexpr bool empty () const noexcept
iterator end () noexcept
const_iterator end () const noexcept
void fill (const value_type &__u)
reference front () noexcept
constexpr const_reference front () const noexcept
constexpr size_type max_size () const noexcept
reference operator[] (size_type __n) noexcept
constexpr const_reference operator[] (size_type __n) const noexcept
reverse_iterator rbegin () noexcept
const_reverse_iterator rbegin () const noexcept
reverse_iterator rend () noexcept
const_reverse_iterator rend () const noexcept
constexpr size_type size () const noexcept
void swap (array &__other) noexcept(noexcept(swap(std::declval< _Tp & >(), std::declval< _Tp & >())))

  Public Attributes
_AT_Type::_Type _M_elems

Detailed Description

  template<typename _Tp, std::size_t _Nm>struct std::array< _Tp, _Nm >
A standard container for storing a fixed size sequence of elements. Meets the requirements of a container, a reversible container, and a sequence.

Sets support random access iterators.

Template Parameters:
    Tp Type of element. Required to be a complete type.
    N Number of elements.

Definition at line 81 of file array.

Author

Generated automatically by Doxygen for libstdc++ from the source code.